## r-cran-dotcall64 0.9

=== DESCRIPTION ===
Package: dotCall64
Type: Package
Title: Enhanced Foreign Function Interface Supporting Long Vectors
Version: 0.9-5.2
Date: 2018-01-11
Authors@R: c(person("Kaspar", "Moesinger", role = c("aut"),
    email = "kaspar.moesinger@gmail.com"),
    person("Florian", "Gerber", role = c("cre", "ctb"),
    email = "florian.gerber@math.uzh.ch"),
    person("Reinhard", "Furrer", role = "ctb",
    email = "reinhard.furrer@math.uzh.ch"))
Description: Provides .C64(), which is an enhanced version of .C()
    and .Fortran() from the foreign function interface. .C64() supports long
    vectors, arguments of type 64-bit integer, and provides a mechanism to
    avoid unnecessary copies of read-only and write-only arguments. This
    makes it a convenient and fast interface to C/C++ and Fortran code.
License: GPL (>= 2)
URL: https://git.math.uzh.ch/reinhard.furrer/dotCall64
BugReports: https://git.math.uzh.ch/reinhard.furrer/dotCall64/issues
Depends: R (>= 3.1)
Suggests: microbenchmark, OpenMPController, RColorBrewer, roxygen2,
        spam, testthat,
Collate: 'vector_dc.R' 'dotCall64.R' 'zzz.R'
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2018-01-11 16:23:57 UTC; floger
Author: Kaspar Moesinger [aut],
  Florian Gerber [cre, ctb],
  Reinhard Furrer [ctb]
Maintainer: Florian Gerber <florian.gerber@math.uzh.ch>
Repository: CRAN
Date/Publication: 2018-01-11 21:36:35 UTC

## r-cran-dotcall64 0.9-04

=== debian/changelog ===
r-cran-dotcall64 (0.9-04-2) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtest.
  * Bump to Standards-Version 4.1.1.
  * Fix Vcs-Browser.
  * New patches:
    - buffer-overflow.patch
    - hurd-path-max.patch (Closes: #875331)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 09 Nov 2017 22:17:55 +0100

r-cran-dotcall64 (0.9-04-1) unstable; urgency=medium

  * Initial release (closes: #874605)

 -- Andreas Tille <tille@debian.org>  Thu, 07 Sep 2017 22:46:52 +0200

=== debian/control ===
Source: r-cran-dotcall64
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-dotcall64.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-dotcall64.git
Homepage: https://cran.r-project.org/package=dotCall64

Package: r-cran-dotcall64
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Enhanced Foreign Function Interface Supporting Long Vectors
 An alternative version of .C() and .Fortran() supporting long vectors
 and 64-bit integer type arguments. The provided interface .C64()
 features mechanisms the avoid unnecessary copies of read-only or write-
 only arguments. This makes it a convenient and fast interface to C/C++
 and Fortran code.

## r-cran-dotcall64 0.9-5.2

=== debian/changelog ===
r-cran-dotcall64 (0.9-5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.9-5.2
  * Drop patches applied upstream:
    + buffer-overflow.patch
    + hurd-path-max.patch
  * Update long description.
  * Bump to debhelper compat level 11.
  * Bump Standards-Version to 4.1.3.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 30 Jan 2018 18:32:18 +0100

=== debian/control ===
Source: r-cran-dotcall64
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-r,
               r-base-dev
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-dotcall64.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-dotcall64.git
Homepage: https://cran.r-project.org/package=dotCall64

Package: r-cran-dotcall64
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Enhanced Foreign Function Interface Supporting Long Vectors
 Provides .C64(), which is an enhanced version of .C() and .Fortran() from the
 foreign function interface. .C64() supports long vectors, arguments of type
 64-bit integer, and provides a mechanism to avoid unnecessary copies of
 read-only and write-only arguments. This makes it a convenient and fast
 interface to C/C++ and Fortran code.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/dotCall64_([-\d.]*)\.tar\.gz

## r-cran-dotcall64 1.0

=== DESCRIPTION ===
Package: dotCall64
Type: Package
Title: Enhanced Foreign Function Interface Supporting Long Vectors
Version: 1.0-2
Date: 2021-02-10
Authors@R: c(person("Kaspar", "Moesinger", role = c("aut"),
    email = "kaspar.moesinger@gmail.com"), 
    person("Florian", "Gerber", role = c("aut"),
    email = "flora.fauna.gerber@gmail.com",
    comment = c(ORCID = "0000-0001-8545-5263")),
    person("Reinhard", "Furrer", role = c("cre", "ctb"),
    email = "reinhard.furrer@math.uzh.ch",
    comment = c(ORCID = "0000-0002-6319-2332")))
Description: Provides .C64(), which is an enhanced version of .C()
    and .Fortran() from the foreign function interface. .C64() supports long
    vectors, arguments of type 64-bit integer, and provides a mechanism to
    avoid unnecessary copies of read-only and write-only arguments. This
    makes it a convenient and fast interface to C/C++ and Fortran code.
License: GPL (>= 2)
URL: https://git.math.uzh.ch/reinhard.furrer/dotCall64
BugReports: https://git.math.uzh.ch/reinhard.furrer/dotCall64/issues
Depends: R (>= 3.1)
Suggests: microbenchmark, OpenMPController, RColorBrewer, roxygen2,
        spam, testthat,
Collate: 'vector_dc.R' 'dotCall64.R' 'zzz.R'
RoxygenNote: 7.1.1
NeedsCompilation: yes
Packaged: 2022-10-03 15:17:05 UTC; ripley
Author: Kaspar Moesinger [aut],
  Florian Gerber [aut] (<https://orcid.org/0000-0001-8545-5263>),
  Reinhard Furrer [cre, ctb] (<https://orcid.org/0000-0002-6319-2332>)
Maintainer: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
Repository: CRAN
Date/Publication: 2022-10-03 18:38:51 UTC

## r-cran-dotcall64 1.0-0

=== debian/changelog ===
r-cran-dotcall64 (1.0-0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Thu, 02 Aug 2018 03:01:25 +0200

r-cran-dotcall64 (0.9-5.2-2) unstable; urgency=medium

  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jun 2018 06:37:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: r-cran-dotcall64
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-dotcall64.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-dotcall64.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dotcall64
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dotcall64.git
 Homepage: https://cran.r-project.org/package=dotCall64
 
 Package: r-cran-dotcall64

=== debian/tests/control ===
Tests: generic
Depends: @, r-cran-testthat,
Restrictions: allow-stderr

## r-cran-dotcall64 1.0-1

=== debian/changelog ===
r-cran-dotcall64 (1.0-1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 17 Sep 2021 10:40:05 +0200

r-cran-dotcall64 (1.0-0-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database.

 -- Andreas Tille <tille@debian.org>  Thu, 03 Sep 2020 11:48:44 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.5
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dotcall64
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dotcall64.git
 Homepage: https://cran.r-project.org/package=dotCall64
+Rules-Requires-Root: no
 
 Package: r-cran-dotcall64
 Architecture: any

## r-cran-dotcall64 1.0-2

=== debian/changelog ===
r-cran-dotcall64 (1.0-2-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 08 Oct 2022 09:15:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-dotcall64
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dotcall64
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dotcall64.git
+Homepage: https://cran.r-project.org/package=dotCall64
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dotcall64
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dotcall64.git
-Homepage: https://cran.r-project.org/package=dotCall64
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-dotcall64
 Architecture: any

## r-cran-dotcall64 1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: dotCall64
 Type: Package
 Title: Enhanced Foreign Function Interface Supporting Long Vectors
-Version: 1.0-2
-Date: 2021-02-10
+Version: 1.1-1
+Date: 2023-11-28
 Authors@R: c(person("Kaspar", "Moesinger", role = c("aut"),
     email = "kaspar.moesinger@gmail.com"), 
     person("Florian", "Gerber", role = c("aut"),
@@ -18,17 +18,17 @@
     makes it a convenient and fast interface to C/C++ and Fortran code.
 License: GPL (>= 2)
 URL: https://git.math.uzh.ch/reinhard.furrer/dotCall64
-BugReports: https://git.math.uzh.ch/reinhard.furrer/dotCall64/issues
+BugReports: https://git.math.uzh.ch/reinhard.furrer/dotCall64/-/issues
 Depends: R (>= 3.1)
-Suggests: microbenchmark, OpenMPController, RColorBrewer, roxygen2,
-        spam, testthat,
+Suggests: microbenchmark, RhpcBLASctl, RColorBrewer, roxygen2, spam,
+        testthat,
 Collate: 'vector_dc.R' 'dotCall64.R' 'zzz.R'
 RoxygenNote: 7.1.1
 NeedsCompilation: yes
-Packaged: 2022-10-03 15:17:05 UTC; ripley
+Packaged: 2023-11-28 10:54:16 UTC; furrer
 Author: Kaspar Moesinger [aut],
   Florian Gerber [aut] (<https://orcid.org/0000-0001-8545-5263>),
   Reinhard Furrer [cre, ctb] (<https://orcid.org/0000-0002-6319-2332>)
 Maintainer: Reinhard Furrer <reinhard.furrer@math.uzh.ch>
 Repository: CRAN
-Date/Publication: 2022-10-03 18:38:51 UTC
+Date/Publication: 2023-11-28 11:30:02 UTC

## r-cran-dotcall64 1.1-1

=== debian/changelog ===
r-cran-dotcall64 (1.1-1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 20 Dec 2023 20:48:36 +0100

r-cran-dotcall64 (1.1-0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Rename test script from generic to run-unit-test

 -- Andreas Tille <tille@debian.org>  Mon, 20 Nov 2023 21:08:08 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dotcall64
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dotcall64.git
 Homepage: https://cran.r-project.org/package=dotCall64
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-rhpcblasctl,
        r-cran-rcolorbrewer,
        r-cran-roxygen2,
        r-cran-spam,
        r-cran-testthat
Restrictions: allow-stderr

## r-cran-dotcall64 1.2

=== DESCRIPTION ===
Package: dotCall64
Type: Package
Title: Enhanced Foreign Function Interface Supporting Long Vectors
Version: 1.2
Date: 2024-10-03
Authors@R: c(person("Kaspar", "Moesinger", role = c("aut"),
    email = "kaspar.moesinger@gmail.com"), 
    person("Florian", "Gerber", role = c("aut"),
    email = "flora.fauna.gerber@gmail.com",
    comment = c(ORCID = "0000-0001-8545-5263")),
    person("Reinhard", "Furrer", role = c("cre", "ctb"),
    email = "reinhard.furrer@uzh.ch",
    comment = c(ORCID = "0000-0002-6319-2332")))
Description: Provides .C64(), which is an enhanced version of .C()
    and .Fortran() from the foreign function interface. .C64() supports long
    vectors, arguments of type 64-bit integer, and provides a mechanism to
    avoid unnecessary copies of read-only and write-only arguments. This
    makes it a convenient and fast interface to C/C++ and Fortran code.
License: GPL (>= 2)
URL: https://git.math.uzh.ch/reinhard.furrer/dotCall64
BugReports: https://git.math.uzh.ch/reinhard.furrer/dotCall64/-/issues
Depends: R (>= 4.0)
Suggests: microbenchmark, RhpcBLASctl, RColorBrewer, roxygen2, spam,
        testthat,
Collate: 'vector_dc.R' 'dotCall64.R' 'zzz.R'
RoxygenNote: 7.2.3
NeedsCompilation: yes
Packaged: 2024-10-03 11:57:25 UTC; furrer
Author: Kaspar Moesinger [aut],
  Florian Gerber [aut] (<https://orcid.org/0000-0001-8545-5263>),
  Reinhard Furrer [cre, ctb] (<https://orcid.org/0000-0002-6319-2332>)
Maintainer: Reinhard Furrer <reinhard.furrer@uzh.ch>
Repository: CRAN
Date/Publication: 2024-10-04 17:10:05 UTC

=== debian/changelog ===
r-cran-dotcall64 (1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 06 Feb 2025 13:44:26 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dotcall64
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dotcall64.git
 Homepage: https://cran.r-project.org/package=dotCall64
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-microbenchmark,
        r-cran-rhpcblasctl,
        r-cran-rcolorbrewer,
        r-cran-roxygen2,
        r-cran-spam,
        r-cran-testthat
Restrictions: allow-stderr
